<?php

class grid_DEN_3000_fluxo_nivel_rtf
{
   var $Db;
   var $Erro;
   var $Ini;
   var $Lookup;
   var $nm_data;
   var $Texto_tag;
   var $Arquivo;
   var $Tit_doc;
   var $sc_proc_grid; 
   var $NM_cmp_hidden = array();

   //---- 
   function __construct()
   {
      $this->nm_data   = new nm_data("pt_br");
      $this->Texto_tag = "";
   }


function actionBar_isValidState($buttonName, $buttonState)
{
    switch ($buttonName) {
    }

    return false;
}


function actionBar_displayState($buttonName)
{
    switch ($buttonName) {
    }
}

function actionBar_getStateHint($buttonName)
{
    switch ($buttonName) {
    }
}

function actionBar_getStateConfirm($buttonName)
{
    switch ($buttonName) {
    }
}

function actionBar_getStateDisable($buttonName)
{
    if (isset($this->sc_actionbar_disabled[$buttonName]) && $this->sc_actionbar_disabled[$buttonName]) {
        return ' disabled';
    }

    return '';
}

function actionBar_getStateHide($buttonName)
{
    if (isset($this->sc_actionbar_hidden[$buttonName]) && $this->sc_actionbar_hidden[$buttonName]) {
        return ' sc-actionbar-button-hidden';
    }

    return '';
}

   //---- 
   function monta_rtf()
   {
      $this->inicializa_vars();
      $this->gera_texto_tag();
      $this->grava_arquivo_rtf();
      if ($this->Ini->sc_export_ajax)
      {
          $this->Arr_result['file_export']  = NM_charset_to_utf8($this->Rtf_f);
          $this->Arr_result['title_export'] = NM_charset_to_utf8($this->Tit_doc);
          $Temp = ob_get_clean();
          if ($Temp !== false && trim($Temp) != "")
          {
              $this->Arr_result['htmOutput'] = NM_charset_to_utf8($Temp);
          }
          $oJson = new Services_JSON();
          echo $oJson->encode($this->Arr_result);
          exit;
      }
      else
      {
          $this->progress_bar_end();
      }
   }

   //----- 
   function inicializa_vars()
   {
      global $nm_lang;
      if (isset($GLOBALS['nmgp_parms']) && !empty($GLOBALS['nmgp_parms'])) 
      { 
          $GLOBALS['nmgp_parms'] = str_replace("@aspass@", "'", $GLOBALS['nmgp_parms']);
          $todox = str_replace("?#?@?@?", "?#?@ ?@?", $GLOBALS["nmgp_parms"]);
          $todo  = explode("?@?", $todox);
          foreach ($todo as $param)
          {
               $cadapar = explode("?#?", $param);
               if (1 < sizeof($cadapar))
               {
                   if (substr($cadapar[0], 0, 11) == "SC_glo_par_")
                   {
                       $cadapar[0] = substr($cadapar[0], 11);
                       $cadapar[1] = $_SESSION[$cadapar[1]];
                   }
                   if (isset($GLOBALS['sc_conv_var'][$cadapar[0]]))
                   {
                       $cadapar[0] = $GLOBALS['sc_conv_var'][$cadapar[0]];
                   }
                   elseif (isset($GLOBALS['sc_conv_var'][strtolower($cadapar[0])]))
                   {
                       $cadapar[0] = $GLOBALS['sc_conv_var'][strtolower($cadapar[0])];
                   }
                   nm_limpa_str_grid_DEN_3000_fluxo_nivel($cadapar[1]);
                   nm_protect_num_grid_DEN_3000_fluxo_nivel($cadapar[0], $cadapar[1]);
                   if ($cadapar[1] == "@ ") {$cadapar[1] = trim($cadapar[1]); }
                   $Tmp_par   = $cadapar[0];
                   $$Tmp_par = $cadapar[1];
                   if ($Tmp_par == "nmgp_opcao")
                   {
                       $_SESSION['sc_session'][$script_case_init]['grid_DEN_3000_fluxo_nivel']['opcao'] = $cadapar[1];
                   }
               }
          }
      }
      if (isset($id_param_den)) 
      {
          $_SESSION['id_param_den'] = $id_param_den;
          nm_limpa_str_grid_DEN_3000_fluxo_nivel($_SESSION["id_param_den"]);
      }
      if (isset($id_cat_den)) 
      {
          $_SESSION['id_cat_den'] = $id_cat_den;
          nm_limpa_str_grid_DEN_3000_fluxo_nivel($_SESSION["id_cat_den"]);
      }
      $dir_raiz          = strrpos($_SERVER['PHP_SELF'],"/") ;  
      $dir_raiz          = substr($_SERVER['PHP_SELF'], 0, $dir_raiz + 1) ;  
      $this->nm_location = $this->Ini->sc_protocolo . $this->Ini->server . $dir_raiz; 
      require_once($this->Ini->path_aplicacao . "grid_DEN_3000_fluxo_nivel_total.class.php"); 
      $this->Tot      = new grid_DEN_3000_fluxo_nivel_total($this->Ini->sc_page);
      $this->prep_modulos("Tot");
      $Gb_geral = "quebra_geral_" . $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['SC_Ind_Groupby'];
      if (method_exists($this->Tot,$Gb_geral))
      {
          $this->Tot->$Gb_geral();
          $this->count_ger = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['tot_geral'][1];
      }
      if (!$this->Ini->sc_export_ajax) {
          require_once($this->Ini->path_lib_php . "/sc_progress_bar.php");
          $this->pb = new scProgressBar();
          $this->pb->setRoot($this->Ini->root);
          $this->pb->setDir($_SESSION['scriptcase']['grid_DEN_3000_fluxo_nivel']['glo_nm_path_imag_temp'] . "/");
          $this->pb->setProgressbarMd5($_GET['pbmd5']);
          $this->pb->initialize();
          $this->pb->setReturnUrl("./");
          $this->pb->setReturnOption('volta_grid');
          $this->pb->setTotalSteps($this->count_ger);
      }
      $this->Arquivo    = "sc_rtf";
      $this->Arquivo   .= "_" . date("YmdHis") . "_" . rand(0, 1000);
      $this->Arquivo   .= "_grid_DEN_3000_fluxo_nivel";
      $this->Arquivo   .= ".rtf";
      $this->Tit_doc    = "grid_DEN_3000_fluxo_nivel.rtf";
   }
   //---- 
   function prep_modulos($modulo)
   {
      $this->$modulo->Ini    = $this->Ini;
      $this->$modulo->Db     = $this->Db;
      $this->$modulo->Erro   = $this->Erro;
      $this->$modulo->Lookup = $this->Lookup;
   }


   //----- 
   function gera_texto_tag()
   {
     global $nm_lang;
      global $nm_nada, $nm_lang;

      $_SESSION['scriptcase']['sc_sql_ult_conexao'] = ''; 
      $this->sc_proc_grid = false; 
      $nm_raiz_img  = ""; 
      if (isset($_SESSION['scriptcase']['sc_apl_conf']['grid_DEN_3000_fluxo_nivel']['field_display']) && !empty($_SESSION['scriptcase']['sc_apl_conf']['grid_DEN_3000_fluxo_nivel']['field_display']))
      {
          foreach ($_SESSION['scriptcase']['sc_apl_conf']['grid_DEN_3000_fluxo_nivel']['field_display'] as $NM_cada_field => $NM_cada_opc)
          {
              $this->NM_cmp_hidden[$NM_cada_field] = $NM_cada_opc;
          }
      }
      if (isset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['usr_cmp_sel']) && !empty($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['usr_cmp_sel']))
      {
          foreach ($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['usr_cmp_sel'] as $NM_cada_field => $NM_cada_opc)
          {
              $this->NM_cmp_hidden[$NM_cada_field] = $NM_cada_opc;
          }
      }
      if (isset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['php_cmp_sel']) && !empty($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['php_cmp_sel']))
      {
          foreach ($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['php_cmp_sel'] as $NM_cada_field => $NM_cada_opc)
          {
              $this->NM_cmp_hidden[$NM_cada_field] = $NM_cada_opc;
          }
      }
      $this->sc_where_orig   = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['where_orig'];
      $this->sc_where_atual  = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['where_pesq'];
      $this->sc_where_filtro = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['where_pesq_filtro'];
      if (isset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['campos_busca']) && !empty($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['campos_busca']))
      { 
          $Busca_temp = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['campos_busca'];
          if ($_SESSION['scriptcase']['charset'] != "UTF-8")
          {
              $Busca_temp = NM_conv_charset($Busca_temp, $_SESSION['scriptcase']['charset'], "UTF-8");
          }
          $this->id_hist_nivel_3000 = (isset($Busca_temp['id_hist_nivel_3000'])) ? $Busca_temp['id_hist_nivel_3000'] : ""; 
          $tmp_pos = (is_string($this->id_hist_nivel_3000)) ? strpos($this->id_hist_nivel_3000, "##@@") : false;
          if ($tmp_pos !== false && !is_array($this->id_hist_nivel_3000))
          {
              $this->id_hist_nivel_3000 = substr($this->id_hist_nivel_3000, 0, $tmp_pos);
          }
          $this->id_1000 = (isset($Busca_temp['id_1000'])) ? $Busca_temp['id_1000'] : ""; 
          $tmp_pos = (is_string($this->id_1000)) ? strpos($this->id_1000, "##@@") : false;
          if ($tmp_pos !== false && !is_array($this->id_1000))
          {
              $this->id_1000 = substr($this->id_1000, 0, $tmp_pos);
          }
          $this->dt_env_nivel_3000 = (isset($Busca_temp['dt_env_nivel_3000'])) ? $Busca_temp['dt_env_nivel_3000'] : ""; 
          $tmp_pos = (is_string($this->dt_env_nivel_3000)) ? strpos($this->dt_env_nivel_3000, "##@@") : false;
          if ($tmp_pos !== false && !is_array($this->dt_env_nivel_3000))
          {
              $this->dt_env_nivel_3000 = substr($this->dt_env_nivel_3000, 0, $tmp_pos);
          }
          $this->dt_env_nivel_3000_2 = (isset($Busca_temp['dt_env_nivel_3000_input_2'])) ? $Busca_temp['dt_env_nivel_3000_input_2'] : ""; 
          $this->dt_fch_nivel_3000 = (isset($Busca_temp['dt_fch_nivel_3000'])) ? $Busca_temp['dt_fch_nivel_3000'] : ""; 
          $tmp_pos = (is_string($this->dt_fch_nivel_3000)) ? strpos($this->dt_fch_nivel_3000, "##@@") : false;
          if ($tmp_pos !== false && !is_array($this->dt_fch_nivel_3000))
          {
              $this->dt_fch_nivel_3000 = substr($this->dt_fch_nivel_3000, 0, $tmp_pos);
          }
          $this->dt_fch_nivel_3000_2 = (isset($Busca_temp['dt_fch_nivel_3000_input_2'])) ? $Busca_temp['dt_fch_nivel_3000_input_2'] : ""; 
      } 
      if (isset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_name']))
      {
          $Pos = strrpos($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_name'], ".");
          if ($Pos === false) {
              $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_name'] .= ".rtf";
          }
          $this->Arquivo = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_name'];
          $this->Tit_doc = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_name'];
          unset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_name']);
      }
      $this->arr_export = array('label' => array(), 'lines' => array());
      $this->arr_span   = array();

      $this->Texto_tag .= "<table>\r\n";
      $this->Texto_tag .= "<tr>\r\n";
      foreach ($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['field_order'] as $Cada_col)
      { 
          $SC_Label = (isset($this->New_label['fld_desc_nivel_saida'])) ? $this->New_label['fld_desc_nivel_saida'] : "Área / Responsável remetente"; 
          if ($Cada_col == "fld_desc_nivel_saida" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['dt_fch_nivel_3000'])) ? $this->New_label['dt_fch_nivel_3000'] : "Data do fechamento"; 
          if ($Cada_col == "dt_fch_nivel_3000" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['dt_env_nivel_3000'])) ? $this->New_label['dt_env_nivel_3000'] : "Data do envio"; 
          if ($Cada_col == "dt_env_nivel_3000" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['obs_nivel_3000'])) ? $this->New_label['obs_nivel_3000'] : "Observações / Atividades / Pedidos <br> do remetente"; 
          if ($Cada_col == "obs_nivel_3000" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['fld_desc_nivel_entrada'])) ? $this->New_label['fld_desc_nivel_entrada'] : "Área / Responsável receptor"; 
          if ($Cada_col == "fld_desc_nivel_entrada" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['id_hist_nivel_3000'])) ? $this->New_label['id_hist_nivel_3000'] : "Id Hist Nivel 3000"; 
          if ($Cada_col == "id_hist_nivel_3000" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['id_1000'])) ? $this->New_label['id_1000'] : "Id 1000"; 
          if ($Cada_col == "id_1000" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
          $SC_Label = (isset($this->New_label['nivel_atend_entrada_3000'])) ? $this->New_label['nivel_atend_entrada_3000'] : "Nível receptor"; 
          if ($Cada_col == "nivel_atend_entrada_3000" && (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off"))
          {
              $SC_Label = NM_charset_to_utf8($SC_Label);
              $SC_Label = str_replace('<', '&lt;', $SC_Label);
              $SC_Label = str_replace('>', '&gt;', $SC_Label);
              $this->Texto_tag .= "<td>" . $SC_Label . "</td>\r\n";
          }
      } 
      $this->Texto_tag .= "</tr>\r\n";
      $this->nm_field_dinamico = array();
      $this->nm_order_dinamico = array();
      $nmgp_select_count = "SELECT count(*) AS countTest from " . $this->Ini->nm_tabela; 
      if (in_array(strtolower($this->Ini->nm_tpbanco), $this->Ini->nm_bases_mysql))
      { 
          $nmgp_select = "SELECT dt_fch_nivel_3000, dt_env_nivel_3000, obs_nivel_3000, id_hist_nivel_3000, id_1000, nivel_atend_entrada_3000, nivel_atend_saida_3000, resp_atend_entrada_3000, resp_atend_saida_3000, org_atend_entrada_3000, org_atend_saida_3000 from " . $this->Ini->nm_tabela; 
      } 
      else 
      { 
          $nmgp_select = "SELECT dt_fch_nivel_3000, dt_env_nivel_3000, obs_nivel_3000, id_hist_nivel_3000, id_1000, nivel_atend_entrada_3000, nivel_atend_saida_3000, resp_atend_entrada_3000, resp_atend_saida_3000, org_atend_entrada_3000, org_atend_saida_3000 from " . $this->Ini->nm_tabela; 
      } 
      $nmgp_select .= " " . $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['where_pesq'];
      $nmgp_select_count .= " " . $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['where_pesq'];
      $nmgp_order_by = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['order_grid'];
      $nmgp_select .= $nmgp_order_by; 
      $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nmgp_select_count;
      $rt = $this->Db->Execute($nmgp_select_count);
      if ($rt === false && !$rt->EOF && $GLOBALS["NM_ERRO_IBASE"] != 1)
      {
         $this->Erro->mensagem(__FILE__, __LINE__, "banco", $this->Ini->Nm_lang['lang_errm_dber'], $this->Db->ErrorMsg());
         exit;
      }
      $this->count_ger = $rt->fields[0];
      $rt->Close();
      $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nmgp_select;
      $rs = $this->Db->Execute($nmgp_select);
      if ($rs === false && !$rs->EOF && $GLOBALS["NM_ERRO_IBASE"] != 1)
      {
         $this->Erro->mensagem(__FILE__, __LINE__, "banco", $this->Ini->Nm_lang['lang_errm_dber'], $this->Db->ErrorMsg());
         exit;
      }
      $this->SC_seq_register = 0;
      $PB_tot = (isset($this->count_ger) && $this->count_ger > 0) ? "/" . $this->count_ger : "";
      while (!$rs->EOF)
      {
         $this->SC_seq_register++;
         if (!$this->Ini->sc_export_ajax) {
             $Mens_bar = NM_charset_to_utf8($this->Ini->Nm_lang['lang_othr_prcs']);
             $this->pb->setProgressbarMessage($Mens_bar . ": " . $this->SC_seq_register . $PB_tot);
             $this->pb->addSteps(1);
         }
         $this->Texto_tag .= "<tr>\r\n";
         $this->dt_fch_nivel_3000 = $rs->fields[0] ;  
         $this->dt_env_nivel_3000 = $rs->fields[1] ;  
         $this->obs_nivel_3000 = $rs->fields[2] ;  
         $this->id_hist_nivel_3000 = $rs->fields[3] ;  
         $this->id_hist_nivel_3000 = (string)$this->id_hist_nivel_3000;
         $this->id_1000 = $rs->fields[4] ;  
         $this->id_1000 = (string)$this->id_1000;
         $this->nivel_atend_entrada_3000 = $rs->fields[5] ;  
         $this->nivel_atend_entrada_3000 = (string)$this->nivel_atend_entrada_3000;
         $this->nivel_atend_saida_3000 = $rs->fields[6] ;  
         $this->nivel_atend_saida_3000 = (string)$this->nivel_atend_saida_3000;
         $this->resp_atend_entrada_3000 = $rs->fields[7] ;  
         $this->resp_atend_entrada_3000 = (string)$this->resp_atend_entrada_3000;
         $this->resp_atend_saida_3000 = $rs->fields[8] ;  
         $this->resp_atend_saida_3000 = (string)$this->resp_atend_saida_3000;
         $this->org_atend_entrada_3000 = $rs->fields[9] ;  
         $this->org_atend_entrada_3000 = (string)$this->org_atend_entrada_3000;
         $this->org_atend_saida_3000 = $rs->fields[10] ;  
         $this->org_atend_saida_3000 = (string)$this->org_atend_saida_3000;
         $this->sc_proc_grid = true; 
         $_SESSION['scriptcase']['grid_DEN_3000_fluxo_nivel']['contr_erro'] = 'on';
 $load_resp_niv = "SELECT nome_1100 , email_1100	FROM LGPD_1100_equipe " .
"WHERE cod_pessoa_1100 = ". $this->resp_atend_saida_3000 ;
 
      $nm_select = $load_resp_niv; 
      $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nm_select; 
      $_SESSION['scriptcase']['sc_sql_ult_conexao'] = ''; 
      $this->rs_pessoa = array();
      if ($SCrx = $this->Db->Execute($nm_select)) 
      { 
          $SCy = 0; 
          $nm_count = $SCrx->FieldCount();
          while (!$SCrx->EOF)
          { 
                 for ($SCx = 0; $SCx < $nm_count; $SCx++)
                 { 
                        $this->rs_pessoa[$SCy] [$SCx] = $SCrx->fields[$SCx];
                 }
                 $SCy++; 
                 $SCrx->MoveNext();
          } 
          $SCrx->Close();
      } 
      elseif (isset($GLOBALS["NM_ERRO_IBASE"]) && $GLOBALS["NM_ERRO_IBASE"] != 1)  
      { 
          $this->rs_pessoa = false;
          $this->rs_pessoa_erro = $this->Db->ErrorMsg();
      } 

		
$load_area_niv = 'SELECT  
concat_ws(" > " , t2.nome_dir_1001, t3.nome_area_1002, t4.nome_dpto_1003)
FROM
LGPD_1050_organograma t1 
INNER JOIN LGPD_1001_diretoria t2 
ON t1.id_diretoria_1001 = t2.id_diretoria_1001
LEFT JOIN LGPD_1002_area t3 
ON t1.id_area_1002 = t3.id_area_1002
LEFT JOIN LGPD_1003_departamento t4 
ON t1.id_dpto_1003 = t4.id_dpto_1003
WHERE t1.id_organograma_1050 = ' . $this->org_atend_saida_3000 ;
 
      $nm_select = $load_area_niv; 
      $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nm_select; 
      $_SESSION['scriptcase']['sc_sql_ult_conexao'] = ''; 
      $this->rs_area = array();
      if ($SCrx = $this->Db->Execute($nm_select)) 
      { 
          $SCy = 0; 
          $nm_count = $SCrx->FieldCount();
          while (!$SCrx->EOF)
          { 
                 for ($SCx = 0; $SCx < $nm_count; $SCx++)
                 { 
                        $this->rs_area[$SCy] [$SCx] = $SCrx->fields[$SCx];
                 }
                 $SCy++; 
                 $SCrx->MoveNext();
          } 
          $SCrx->Close();
      } 
      elseif (isset($GLOBALS["NM_ERRO_IBASE"]) && $GLOBALS["NM_ERRO_IBASE"] != 1)  
      { 
          $this->rs_area = false;
          $this->rs_area_erro = $this->Db->ErrorMsg();
      } 


$this->fld_desc_nivel_saida  = "[Nível: " . $this->nivel_atend_saida_3000  .  "] | [Área: " . $this->rs_area[0][0] . "] | [Responsável: " . $this->rs_pessoa[0][0] . "]";





$load_resp_niv = "SELECT nome_1100 , email_1100	FROM LGPD_1100_equipe " .
"WHERE cod_pessoa_1100 = ".  $this->resp_atend_entrada_3000 ;
 
      $nm_select = $load_resp_niv; 
      $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nm_select; 
      $_SESSION['scriptcase']['sc_sql_ult_conexao'] = ''; 
      $this->rs_pessoa = array();
      if ($SCrx = $this->Db->Execute($nm_select)) 
      { 
          $SCy = 0; 
          $nm_count = $SCrx->FieldCount();
          while (!$SCrx->EOF)
          { 
                 for ($SCx = 0; $SCx < $nm_count; $SCx++)
                 { 
                        $this->rs_pessoa[$SCy] [$SCx] = $SCrx->fields[$SCx];
                 }
                 $SCy++; 
                 $SCrx->MoveNext();
          } 
          $SCrx->Close();
      } 
      elseif (isset($GLOBALS["NM_ERRO_IBASE"]) && $GLOBALS["NM_ERRO_IBASE"] != 1)  
      { 
          $this->rs_pessoa = false;
          $this->rs_pessoa_erro = $this->Db->ErrorMsg();
      } 


		
$load_area_niv = 'SELECT  
concat_ws(" > " , t2.nome_dir_1001, t3.nome_area_1002, t4.nome_dpto_1003)
FROM
LGPD_1050_organograma t1 
INNER JOIN LGPD_1001_diretoria t2 
ON t1.id_diretoria_1001 = t2.id_diretoria_1001
LEFT JOIN LGPD_1002_area t3 
ON t1.id_area_1002 = t3.id_area_1002
LEFT JOIN LGPD_1003_departamento t4 
ON t1.id_dpto_1003 = t4.id_dpto_1003
WHERE t1.id_organograma_1050 = ' . $this->org_atend_entrada_3000 ;
 
      $nm_select = $load_area_niv; 
      $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nm_select; 
      $_SESSION['scriptcase']['sc_sql_ult_conexao'] = ''; 
      $this->rs_area = array();
      if ($SCrx = $this->Db->Execute($nm_select)) 
      { 
          $SCy = 0; 
          $nm_count = $SCrx->FieldCount();
          while (!$SCrx->EOF)
          { 
                 for ($SCx = 0; $SCx < $nm_count; $SCx++)
                 { 
                        $this->rs_area[$SCy] [$SCx] = $SCrx->fields[$SCx];
                 }
                 $SCy++; 
                 $SCrx->MoveNext();
          } 
          $SCrx->Close();
      } 
      elseif (isset($GLOBALS["NM_ERRO_IBASE"]) && $GLOBALS["NM_ERRO_IBASE"] != 1)  
      { 
          $this->rs_area = false;
          $this->rs_area_erro = $this->Db->ErrorMsg();
      } 


$this->fld_desc_nivel_entrada  = "[Nível: " . $this->nivel_atend_entrada_3000 . "] | [Área: " . $this->rs_area[0][0] . "] | [Responsável: " . $this->rs_pessoa[0][0] . "]";


$this->obs_nivel_3000  = "<div style='width: 300px; white-space: normal; word-wrap: break-word;'>" .  $this->obs_nivel_3000  . "</div>";
$_SESSION['scriptcase']['grid_DEN_3000_fluxo_nivel']['contr_erro'] = 'off'; 
         foreach ($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['field_order'] as $Cada_col)
         { 
            if (!isset($this->NM_cmp_hidden[$Cada_col]) || $this->NM_cmp_hidden[$Cada_col] != "off")
            { 
                $NM_func_exp = "NM_export_" . $Cada_col;
                $this->$NM_func_exp();
            } 
         } 
         $this->Texto_tag .= "</tr>\r\n";
         $rs->MoveNext();
      }
      $this->Texto_tag .= "</table>\r\n";
      if(isset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['export_sel_columns']['field_order']))
      {
          $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['field_order'] = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['export_sel_columns']['field_order'];
          unset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['export_sel_columns']['field_order']);
      }
      if(isset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['export_sel_columns']['usr_cmp_sel']))
      {
          $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['usr_cmp_sel'] = $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['export_sel_columns']['usr_cmp_sel'];
          unset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['export_sel_columns']['usr_cmp_sel']);
      }
      $rs->Close();
   }
   //----- fld_desc_nivel_saida
   function NM_export_fld_desc_nivel_saida()
   {
         $this->fld_desc_nivel_saida = html_entity_decode($this->fld_desc_nivel_saida, ENT_COMPAT, $_SESSION['scriptcase']['charset']);
         $this->fld_desc_nivel_saida = strip_tags($this->fld_desc_nivel_saida);
         $this->fld_desc_nivel_saida = NM_charset_to_utf8($this->fld_desc_nivel_saida);
         $this->fld_desc_nivel_saida = str_replace('<', '&lt;', $this->fld_desc_nivel_saida);
         $this->fld_desc_nivel_saida = str_replace('>', '&gt;', $this->fld_desc_nivel_saida);
         $this->Texto_tag .= "<td>" . $this->fld_desc_nivel_saida . "</td>\r\n";
   }
   //----- dt_fch_nivel_3000
   function NM_export_dt_fch_nivel_3000()
   {
             $conteudo_x =  $this->dt_fch_nivel_3000;
             nm_conv_limpa_dado($conteudo_x, "YYYY-MM-DD");
             if (is_numeric($conteudo_x) && strlen($conteudo_x) > 0) 
             { 
                 $this->nm_data->SetaData($this->dt_fch_nivel_3000, "YYYY-MM-DD  ");
                 $this->dt_fch_nivel_3000 = $this->nm_data->FormataSaida($this->nm_data->FormatRegion("DT", "ddmmaaaa"));
             } 
         $this->dt_fch_nivel_3000 = NM_charset_to_utf8($this->dt_fch_nivel_3000);
         $this->dt_fch_nivel_3000 = str_replace('<', '&lt;', $this->dt_fch_nivel_3000);
         $this->dt_fch_nivel_3000 = str_replace('>', '&gt;', $this->dt_fch_nivel_3000);
         $this->Texto_tag .= "<td>" . $this->dt_fch_nivel_3000 . "</td>\r\n";
   }
   //----- dt_env_nivel_3000
   function NM_export_dt_env_nivel_3000()
   {
             $conteudo_x =  $this->dt_env_nivel_3000;
             nm_conv_limpa_dado($conteudo_x, "YYYY-MM-DD");
             if (is_numeric($conteudo_x) && strlen($conteudo_x) > 0) 
             { 
                 $this->nm_data->SetaData($this->dt_env_nivel_3000, "YYYY-MM-DD  ");
                 $this->dt_env_nivel_3000 = $this->nm_data->FormataSaida($this->nm_data->FormatRegion("DT", "ddmmaaaa"));
             } 
         $this->dt_env_nivel_3000 = NM_charset_to_utf8($this->dt_env_nivel_3000);
         $this->dt_env_nivel_3000 = str_replace('<', '&lt;', $this->dt_env_nivel_3000);
         $this->dt_env_nivel_3000 = str_replace('>', '&gt;', $this->dt_env_nivel_3000);
         $this->Texto_tag .= "<td>" . $this->dt_env_nivel_3000 . "</td>\r\n";
   }
   //----- obs_nivel_3000
   function NM_export_obs_nivel_3000()
   {
         $this->obs_nivel_3000 = html_entity_decode($this->obs_nivel_3000, ENT_COMPAT, $_SESSION['scriptcase']['charset']);
         $this->obs_nivel_3000 = strip_tags($this->obs_nivel_3000);
         $this->obs_nivel_3000 = NM_charset_to_utf8($this->obs_nivel_3000);
         $this->obs_nivel_3000 = str_replace('<', '&lt;', $this->obs_nivel_3000);
         $this->obs_nivel_3000 = str_replace('>', '&gt;', $this->obs_nivel_3000);
         $this->Texto_tag .= "<td>" . $this->obs_nivel_3000 . "</td>\r\n";
   }
   //----- fld_desc_nivel_entrada
   function NM_export_fld_desc_nivel_entrada()
   {
         $this->fld_desc_nivel_entrada = html_entity_decode($this->fld_desc_nivel_entrada, ENT_COMPAT, $_SESSION['scriptcase']['charset']);
         $this->fld_desc_nivel_entrada = strip_tags($this->fld_desc_nivel_entrada);
         $this->fld_desc_nivel_entrada = NM_charset_to_utf8($this->fld_desc_nivel_entrada);
         $this->fld_desc_nivel_entrada = str_replace('<', '&lt;', $this->fld_desc_nivel_entrada);
         $this->fld_desc_nivel_entrada = str_replace('>', '&gt;', $this->fld_desc_nivel_entrada);
         $this->Texto_tag .= "<td>" . $this->fld_desc_nivel_entrada . "</td>\r\n";
   }
   //----- id_hist_nivel_3000
   function NM_export_id_hist_nivel_3000()
   {
             nmgp_Form_Num_Val($this->id_hist_nivel_3000, $_SESSION['scriptcase']['reg_conf']['grup_num'], $_SESSION['scriptcase']['reg_conf']['dec_num'], "0", "S", "2", "", "N:" . $_SESSION['scriptcase']['reg_conf']['neg_num'] , $_SESSION['scriptcase']['reg_conf']['simb_neg'], $_SESSION['scriptcase']['reg_conf']['num_group_digit']) ; 
         $this->id_hist_nivel_3000 = NM_charset_to_utf8($this->id_hist_nivel_3000);
         $this->id_hist_nivel_3000 = str_replace('<', '&lt;', $this->id_hist_nivel_3000);
         $this->id_hist_nivel_3000 = str_replace('>', '&gt;', $this->id_hist_nivel_3000);
         $this->Texto_tag .= "<td>" . $this->id_hist_nivel_3000 . "</td>\r\n";
   }
   //----- id_1000
   function NM_export_id_1000()
   {
             nmgp_Form_Num_Val($this->id_1000, $_SESSION['scriptcase']['reg_conf']['grup_num'], $_SESSION['scriptcase']['reg_conf']['dec_num'], "0", "S", "2", "", "N:" . $_SESSION['scriptcase']['reg_conf']['neg_num'] , $_SESSION['scriptcase']['reg_conf']['simb_neg'], $_SESSION['scriptcase']['reg_conf']['num_group_digit']) ; 
         $this->id_1000 = NM_charset_to_utf8($this->id_1000);
         $this->id_1000 = str_replace('<', '&lt;', $this->id_1000);
         $this->id_1000 = str_replace('>', '&gt;', $this->id_1000);
         $this->Texto_tag .= "<td>" . $this->id_1000 . "</td>\r\n";
   }
   //----- nivel_atend_entrada_3000
   function NM_export_nivel_atend_entrada_3000()
   {
             nmgp_Form_Num_Val($this->nivel_atend_entrada_3000, $_SESSION['scriptcase']['reg_conf']['grup_num'], $_SESSION['scriptcase']['reg_conf']['dec_num'], "0", "S", "2", "", "N:" . $_SESSION['scriptcase']['reg_conf']['neg_num'] , $_SESSION['scriptcase']['reg_conf']['simb_neg'], $_SESSION['scriptcase']['reg_conf']['num_group_digit']) ; 
         $this->nivel_atend_entrada_3000 = NM_charset_to_utf8($this->nivel_atend_entrada_3000);
         $this->nivel_atend_entrada_3000 = str_replace('<', '&lt;', $this->nivel_atend_entrada_3000);
         $this->nivel_atend_entrada_3000 = str_replace('>', '&gt;', $this->nivel_atend_entrada_3000);
         $this->Texto_tag .= "<td>" . $this->nivel_atend_entrada_3000 . "</td>\r\n";
   }

   //----- 
   function grava_arquivo_rtf()
   {
      global $nm_lang, $doc_wrap;
      $this->Rtf_f = $this->Ini->root . $this->Ini->path_imag_temp . "/" . $this->Arquivo;
      $rtf_f       = fopen($this->Ini->root . $this->Ini->path_imag_temp . "/" . $this->Arquivo, "w");
      require_once($this->Ini->path_third      . "/rtf_new/document_generator/cl_xml2driver.php"); 
      $text_ok  =  "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\r\n"; 
      $text_ok .=  "<DOC config_file=\"" . $this->Ini->path_third . "/rtf_new/doc_config.inc\" >\r\n"; 
      $text_ok .=  $this->Texto_tag; 
      $text_ok .=  "</DOC>\r\n"; 
      $xml = new nDOCGEN($text_ok,"RTF"); 
      fwrite($rtf_f, $xml->get_result_file());
      fclose($rtf_f);
   }

   function nm_conv_data_db($dt_in, $form_in, $form_out)
   {
       $dt_out = $dt_in;
       if (strtoupper($form_in) == "DB_FORMAT") {
           if ($dt_out == "null" || $dt_out == "")
           {
               $dt_out = "";
               return $dt_out;
           }
           $form_in = "AAAA-MM-DD";
       }
       if (strtoupper($form_out) == "DB_FORMAT") {
           if (empty($dt_out))
           {
               $dt_out = "null";
               return $dt_out;
           }
           $form_out = "AAAA-MM-DD";
       }
       if (strtoupper($form_out) == "SC_FORMAT_REGION") {
           $this->nm_data->SetaData($dt_in, strtoupper($form_in));
           $prep_out  = (strpos(strtolower($form_in), "dd") !== false) ? "dd" : "";
           $prep_out .= (strpos(strtolower($form_in), "mm") !== false) ? "mm" : "";
           $prep_out .= (strpos(strtolower($form_in), "aa") !== false) ? "aaaa" : "";
           $prep_out .= (strpos(strtolower($form_in), "yy") !== false) ? "aaaa" : "";
           return $this->nm_data->FormataSaida($this->nm_data->FormatRegion("DT", $prep_out));
       }
       else {
           nm_conv_form_data($dt_out, $form_in, $form_out);
           return $dt_out;
       }
   }
   function progress_bar_end()
   {
      unset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_file']);
      if (is_file($this->Ini->root . $this->Ini->path_imag_temp . "/" . $this->Arquivo))
      {
          $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_file'] = $this->Ini->root . $this->Ini->path_imag_temp . "/" . $this->Arquivo;
      }
      $path_doc_md5 = md5($this->Ini->path_imag_temp . "/" . $this->Arquivo);
      $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel'][$path_doc_md5][0] = $this->Ini->path_imag_temp . "/" . $this->Arquivo;
      $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel'][$path_doc_md5][1] = $this->Tit_doc;
      $Mens_bar = $this->Ini->Nm_lang['lang_othr_file_msge'];
      if ($_SESSION['scriptcase']['charset'] != "UTF-8") {
          $Mens_bar = sc_convert_encoding($Mens_bar, "UTF-8", $_SESSION['scriptcase']['charset']);
      }
      $this->pb->setProgressbarMessage($Mens_bar);
      $this->pb->setDownloadLink($this->Ini->path_imag_temp . "/" . $this->Arquivo);
      $this->pb->setDownloadMd5($path_doc_md5);
      $this->pb->completed();
   }
   //---- 
   function monta_html()
   {
      global $nm_url_saida, $nm_lang;
      include($this->Ini->path_btn . $this->Ini->Str_btn_grid);
      unset($_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_file']);
      if (is_file($this->Ini->root . $this->Ini->path_imag_temp . "/" . $this->Arquivo))
      {
          $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel']['rtf_file'] = $this->Ini->root . $this->Ini->path_imag_temp . "/" . $this->Arquivo;
      }
      $path_doc_md5 = md5($this->Ini->path_imag_temp . "/" . $this->Arquivo);
      $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel'][$path_doc_md5][0] = $this->Ini->path_imag_temp . "/" . $this->Arquivo;
      $_SESSION['sc_session'][$this->Ini->sc_page]['grid_DEN_3000_fluxo_nivel'][$path_doc_md5][1] = $this->Tit_doc;
?>
<!DOCTYPE html>
<HTML<?php echo $_SESSION['scriptcase']['reg_conf']['html_dir'] ?>>
<HEAD>
 <TITLE><?php echo $this->Ini->Nm_lang['lang_othr_grid_title'] ?> DEN_3000_fluxo_nivel :: RTF</TITLE>
 <META http-equiv="Content-Type" content="text/html; charset=<?php echo $_SESSION['scriptcase']['charset_html'] ?>" />
<?php
if ($_SESSION['scriptcase']['proc_mobile'])
{
?>
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
<?php
}
?>
  <META http-equiv="Expires" content="Fri, Jan 01 1900 00:00:00 GMT"/>
  <META http-equiv="Last-Modified" content="<?php echo gmdate("D, d M Y H:i:s"); ?> GMT"/>
  <META http-equiv="Cache-Control" content="no-store, no-cache, must-revalidate"/>
  <META http-equiv="Cache-Control" content="post-check=0, pre-check=0"/>
  <META http-equiv="Pragma" content="no-cache"/>
 <link rel="shortcut icon" href="../_lib/img/scriptcase__NM__ico__NM__favicon.ico">
  <link rel="stylesheet" type="text/css" href="../_lib/css/<?php echo $this->Ini->str_schema_all ?>_export.css" /> 
  <link rel="stylesheet" type="text/css" href="../_lib/css/<?php echo $this->Ini->str_schema_all ?>_export<?php echo $_SESSION['scriptcase']['reg_conf']['css_dir'] ?>.css" /> 
 <?php
 if(isset($this->Ini->str_google_fonts) && !empty($this->Ini->str_google_fonts))
 {
 ?>
    <link rel="stylesheet" type="text/css" href="<?php echo $this->Ini->str_google_fonts ?>" />
 <?php
 }
 ?>
  <link rel="stylesheet" type="text/css" href="../_lib/buttons/<?php echo $this->Ini->Str_btn_css ?>" /> 
</HEAD>
<BODY class="scExportPage">
<?php echo $this->Ini->Ajax_result_set ?>
<table style="border-collapse: collapse; border-width: 0; height: 100%; width: 100%"><tr><td style="padding: 0; text-align: center; vertical-align: middle">
 <table class="scExportTable" align="center">
  <tr>
   <td class="scExportTitle" style="height: 25px">RTF</td>
  </tr>
  <tr>
   <td class="scExportLine" style="width: 100%">
    <table style="border-collapse: collapse; border-width: 0; width: 100%"><tr><td class="scExportLineFont" style="padding: 3px 0 0 0" id="idMessage">
    <?php echo $this->Ini->Nm_lang['lang_othr_file_msge'] ?>
    </td><td class="scExportLineFont" style="text-align:right; padding: 3px 0 0 0">
     <?php echo nmButtonOutput($this->arr_buttons, "bexportview", "document.Fview.submit()", "document.Fview.submit()", "idBtnView", "", "", "", "", "", "", $this->Ini->path_botoes, "", "", "", "", "", "only_text", "text_right", "", "", "", "", "", "", "");
 ?>
     <?php echo nmButtonOutput($this->arr_buttons, "bdownload", "document.Fdown.submit()", "document.Fdown.submit()", "idBtnDown", "", "", "", "", "", "", $this->Ini->path_botoes, "", "", "", "", "", "only_text", "text_right", "", "", "", "", "", "", "");
 ?>
     <?php echo nmButtonOutput($this->arr_buttons, "bvoltar", "document.F0.submit()", "document.F0.submit()", "idBtnBack", "", "", "", "", "", "", $this->Ini->path_botoes, "", "", "", "", "", "only_text", "text_right", "", "", "", "", "", "", "");
 ?>
    </td></tr></table>
   </td>
  </tr>
 </table>
</td></tr></table>
<form name="Fview" method="get" action="<?php echo $this->Ini->path_imag_temp . "/" . $this->Arquivo ?>" target="_blank" style="display: none"> 
</form>
<form name="Fdown" method="get" action="grid_DEN_3000_fluxo_nivel_download.php" target="_blank" style="display: none"> 
<input type="hidden" name="script_case_init" value="<?php echo NM_encode_input($this->Ini->sc_page); ?>"> 
<input type="hidden" name="nm_tit_doc" value="grid_DEN_3000_fluxo_nivel"> 
<input type="hidden" name="nm_name_doc" value="<?php echo $path_doc_md5 ?>"> 
</form>
<FORM name="F0" method=post action="./"> 
<INPUT type="hidden" name="script_case_init" value="<?php echo NM_encode_input($this->Ini->sc_page); ?>"> 
<INPUT type="hidden" name="nmgp_opcao" value="volta_grid"> 
</FORM> 
</BODY>
</HTML>
<?php
   }
   function nm_gera_mask(&$nm_campo, $nm_mask)
   { 
      $trab_campo = $nm_campo;
      $trab_mask  = $nm_mask;
      $tam_campo  = strlen($nm_campo);
      $trab_saida = "";
      $str_highlight_ini = "";
      $str_highlight_fim = "";
      if(substr($nm_campo, 0, 23) == '<div class="highlight">' && substr($nm_campo, -6) == '</div>')
      {
           $str_highlight_ini = substr($nm_campo, 0, 23);
           $str_highlight_fim = substr($nm_campo, -6);

           $trab_campo = substr($nm_campo, 23, -6);
           $tam_campo  = strlen($trab_campo);
      }      $mask_num = false;
      for ($x=0; $x < strlen($trab_mask); $x++)
      {
          if (substr($trab_mask, $x, 1) == "#")
          {
              $mask_num = true;
              break;
          }
      }
      if ($mask_num )
      {
          $ver_duas = explode(";", $trab_mask);
          if (isset($ver_duas[1]) && !empty($ver_duas[1]))
          {
              $cont1 = count(explode("#", $ver_duas[0])) - 1;
              $cont2 = count(explode("#", $ver_duas[1])) - 1;
              if ($tam_campo >= $cont2)
              {
                  $trab_mask = $ver_duas[1];
              }
              else
              {
                  $trab_mask = $ver_duas[0];
              }
          }
          $tam_mask = strlen($trab_mask);
          $xdados = 0;
          for ($x=0; $x < $tam_mask; $x++)
          {
              if (substr($trab_mask, $x, 1) == "#" && $xdados < $tam_campo)
              {
                  $trab_saida .= substr($trab_campo, $xdados, 1);
                  $xdados++;
              }
              elseif ($xdados < $tam_campo)
              {
                  $trab_saida .= substr($trab_mask, $x, 1);
              }
          }
          if ($xdados < $tam_campo)
          {
              $trab_saida .= substr($trab_campo, $xdados);
          }
          $nm_campo = $str_highlight_ini . $trab_saida . $str_highlight_ini;
          return;
      }
      for ($ix = strlen($trab_mask); $ix > 0; $ix--)
      {
           $char_mask = substr($trab_mask, $ix - 1, 1);
           if ($char_mask != "x" && $char_mask != "z")
           {
               $trab_saida = $char_mask . $trab_saida;
           }
           else
           {
               if ($tam_campo != 0)
               {
                   $trab_saida = substr($trab_campo, $tam_campo - 1, 1) . $trab_saida;
                   $tam_campo--;
               }
               else
               {
                   $trab_saida = "0" . $trab_saida;
               }
           }
      }
      if ($tam_campo != 0)
      {
          $trab_saida = substr($trab_campo, 0, $tam_campo) . $trab_saida;
          $trab_mask  = str_repeat("z", $tam_campo) . $trab_mask;
      }
   
      $iz = 0; 
      for ($ix = 0; $ix < strlen($trab_mask); $ix++)
      {
           $char_mask = substr($trab_mask, $ix, 1);
           if ($char_mask != "x" && $char_mask != "z")
           {
               if ($char_mask == "." || $char_mask == ",")
               {
                   $trab_saida = substr($trab_saida, 0, $iz) . substr($trab_saida, $iz + 1);
               }
               else
               {
                   $iz++;
               }
           }
           elseif ($char_mask == "x" || substr($trab_saida, $iz, 1) != "0")
           {
               $ix = strlen($trab_mask) + 1;
           }
           else
           {
               $trab_saida = substr($trab_saida, 0, $iz) . substr($trab_saida, $iz + 1);
           }
      }
      $nm_campo = $str_highlight_ini . $trab_saida . $str_highlight_ini;
   } 
}

?>
